Qwt User's Guide: QwtPlotPanner Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Member Functions | List of all members
QwtPlotPanner Class Reference

QwtPlotPanner provides panning of a plot canvas. More...

`#include <qwt_plot_panner.h>`

Inheritance diagram for QwtPlotPanner:

## Public Slots
virtual void | moveCanvas (int dx, int dy)

## Public Member Functions
| QwtPlotPanner (QWidget *)
| A panner for the canvas of a QwtPlot.
virtual | ~QwtPlotPanner ()
| Destructor.
QWidget * | canvas ()
| Return observed plot canvas.
const QWidget * | canvas () const
| Return Observed plot canvas.
QwtPlot * | plot ()
| Return plot widget, containing the observed plot canvas.
const QwtPlot * | plot () const
| Return plot widget, containing the observed plot canvas.
void | setAxisEnabled (QwtAxisId axisId, bool on)
| En/Disable an axis.
bool | isAxisEnabled (QwtAxisId) const
Public Member Functions inherited from QwtPanner
| QwtPanner (QWidget *parent)
virtual | ~QwtPanner ()
| Destructor.
void | setEnabled (bool)
| En/disable the panner.
bool | isEnabled () const
void | setMouseButton (Qt::MouseButton, Qt::KeyboardModifiers=Qt::NoModifier)
void | getMouseButton (Qt::MouseButton &button, Qt::KeyboardModifiers &) const
| Get mouse button and modifiers used for panning.
void | setAbortKey (int key, Qt::KeyboardModifiers=Qt::NoModifier)
void | getAbortKey (int &key, Qt::KeyboardModifiers &) const
| Get the abort key and modifiers.
void | setCursor (const QCursor &)
const QCursor | cursor () const
void | setOrientations (Qt::Orientations)
Qt::Orientations | orientations () const
| Return the orientation, where panning is enabled.
bool | isOrientationEnabled (Qt::Orientation) const
virtual bool | eventFilter (QObject *, QEvent *) override
| Event filter.

## Protected Member Functions
virtual QBitmap | contentsMask () const override
virtual QPixmap | grab () const override
Protected Member Functions inherited from QwtPanner
virtual void | widgetMousePressEvent (QMouseEvent *)
virtual void | widgetMouseReleaseEvent (QMouseEvent *)
virtual void | widgetMouseMoveEvent (QMouseEvent *)
virtual void | widgetKeyPressEvent (QKeyEvent *)
virtual void | widgetKeyReleaseEvent (QKeyEvent *)
virtual void | paintEvent (QPaintEvent *) override
| Paint event.

## Additional Inherited Members
Signals inherited from QwtPanner
void | panned (int dx, int dy)
void | moved (int dx, int dy)

## Detailed Description

QwtPlotPanner provides panning of a plot canvas.

QwtPlotPanner is a panner for a plot canvas, that adjusts the scales of the axes after dropping the canvas on its new position.

Together with QwtPlotZoomer and QwtPlotMagnifier powerful ways of navigating on a QwtPlot widget can be implemented easily.

Note
  The axes are not updated, while dragging the canvas

See also
  QwtPlotZoomer, QwtPlotMagnifier

Definition at line 32 of file qwt_plot_panner.h.

## Constructor & Destructor Documentation

## ◆ QwtPlotPanner()

QwtPlotPanner::QwtPlotPanner | ( | QWidget * | canvas | ) |
| explicit

A panner for the canvas of a QwtPlot.

The panner is enabled for all axes

Parameters

  canvas | Plot canvas to pan, also the parent object

See also
  setAxisEnabled()

Definition at line 128 of file qwt_plot_panner.cpp.

## ◆ ~QwtPlotPanner()

QwtPlotPanner::~QwtPlotPanner | ( |  | ) |
| virtual

Destructor.

Definition at line 138 of file qwt_plot_panner.cpp.

## Member Function Documentation

## ◆ canvas() [1/2]

QWidget * QwtPlotPanner::canvas | ( |  | ) |

Return observed plot canvas.

Definition at line 177 of file qwt_plot_panner.cpp.

## ◆ canvas() [2/2]

const QWidget * QwtPlotPanner::canvas | ( |  | ) | const

Return Observed plot canvas.

Definition at line 183 of file qwt_plot_panner.cpp.

## ◆ contentsMask()

QBitmap QwtPlotPanner::contentsMask | ( |  | ) | const
| overrideprotectedvirtual

Calculate a mask from the border path of the canvas

Returns
  Mask as bitmap

See also
  QwtPlotCanvas::borderPath()

Reimplemented from QwtPanner.

Definition at line 267 of file qwt_plot_panner.cpp.

## ◆ grab()

QPixmap QwtPlotPanner::grab | ( |  | ) | const
| overrideprotectedvirtual

Returns
  Pixmap with the content of the canvas

Reimplemented from QwtPanner.

Definition at line 278 of file qwt_plot_panner.cpp.

## ◆ isAxisEnabled()

bool QwtPlotPanner::isAxisEnabled | ( | QwtAxisId | axisId | ) | const

Test if an axis is enabled

Parameters

  axisId | Axis

Returns
  True, if the axis is enabled

See also
  setAxisEnabled(), moveCanvas()

Definition at line 168 of file qwt_plot_panner.cpp.

## ◆ moveCanvas

void QwtPlotPanner::moveCanvas | ( | int | dx,
|  | int | dy )
| virtualslot

Adjust the enabled axes according to dx/dy

Parameters

  dx | Pixel offset in x direction
  dy | Pixel offset in y direction

See also
  QwtPanner::panned()

Definition at line 216 of file qwt_plot_panner.cpp.

## ◆ plot() [1/2]

QwtPlot * QwtPlotPanner::plot | ( |  | ) |

Return plot widget, containing the observed plot canvas.

Definition at line 189 of file qwt_plot_panner.cpp.

## ◆ plot() [2/2]

const QwtPlot * QwtPlotPanner::plot | ( |  | ) | const

Return plot widget, containing the observed plot canvas.

Definition at line 199 of file qwt_plot_panner.cpp.

## ◆ setAxisEnabled()

void QwtPlotPanner::setAxisEnabled | ( | QwtAxisId | axisId,
|  | bool | on )

En/Disable an axis.

Axes that are enabled will be synchronized to the result of panning. All other axes will remain unchanged.

Parameters

  axisId | Axis id
  on | On/Off

See also
  isAxisEnabled(), moveCanvas()

Definition at line 154 of file qwt_plot_panner.cpp.